Bug 1622127 - Review Request: rust-zram-generator - Systemd unit generator for zram devices
Summary: Review Request: rust-zram-generator - Systemd unit generator for zram devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-24 13:54 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-09-21 05:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:22:12 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2018-08-24 13:54:43 UTC
Spec URL: https://in.waw.pl/~zbyszek/fedora/rust-zram-generator.spec
SRPM URL: https://in.waw.pl/~zbyszek/fedora/rust-zram-generator-0.1.0-1.fc30.src.rpm
Fedora Account System Username: zbyszek
Description:
This is a systemd unit generator that creates a unit file to create a zram device on systems that have <2GB memory.

Upstream repo: https://github.com/systemd/zram-generator

Comment 1 Robert-André Mauchin 2018-08-24 15:27:57 UTC
 - Both the URL and Source0 are 404s. zram-generator is not published on crates.io. And there is no release on Github which means you need to specify how you generated the crate and fix Source0.

 - Install zram-generator.conf.example as %doc or install a copy as /etc/systemd/zram-generator.conf

 - Install README.md as %doc.

 - As upstream, you should include a file for the MIT license.


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-08-25 09:55:09 UTC
Thanks for the quick review.

I pushed a 0.1.1 tag to github, and published the crate on crates.io. All requested change are implemented.

Spec URL: https://in.waw.pl/~zbyszek/fedora/rust-zram-generator.spec
SRPM URL: https://in.waw.pl/~zbyszek/fedora/rust-zram-generator-0.1.1-1.fc30.src.rpm

Comment 3 Robert-André Mauchin 2018-08-25 12:43:01 UTC
Looks good, package approved.

Comment 4 Gwyn Ciesla 2018-08-28 17:34:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/zram-generator

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-08-28 18:08:19 UTC
Oops, I screwed up here. The spec file is named correctly, but the review request and my repo request were missing "rust-". I'll re-request the repo. Sorry for the trouble.

Comment 6 Gwyn Ciesla 2018-08-28 18:17:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-zram-generator

Comment 7 Fedora Update System 2018-08-28 19:14:17 UTC
rust-zram-generator-0.1.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-999c047709

Comment 8 Fedora Update System 2018-08-29 19:05:22 UTC
rust-zram-generator-0.1.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-999c047709

Comment 9 Fedora Update System 2018-08-29 23:13:29 UTC
rust-zram-generator-0.1.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-999c047709

Comment 10 Fedora Update System 2018-09-21 05:22:12 UTC
rust-zram-generator-0.1.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.